Bug 1243016 - Remove duplicate arguments to the deploy command.
Summary: Remove duplicate arguments to the deploy command.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Dougal Matthews
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 14:55 UTC by Dougal Matthews
Modified: 2015-08-05 13:59 UTC (History)
8 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-35.el7ost
Doc Type: Bug Fix
Doc Text:
Some arguments existed that provided the same function as other arguments for the deploy command. This fix removes the redundant arguments (--plan-uuid, --use-tripleo-heat-templates, --extra-template).
Clone Of:
Environment:
Last Closed: 2015-08-05 13:59:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239837 None None None Never
Gerrithub.io 239838 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Dougal Matthews 2015-07-14 14:55:33 UTC
* --plan-uuid can be removed in favor of --plan (which accepts a name or UUID).

* --use-tripleo-heat-templates can be removed in favor of --templates (with no
  path provided)

* After this merges https://review.gerrithub.io/#/c/239825/ --extra-template
  can be removed in favor of --environment-file (the patch currently removes
  it)

Comment 3 Dougal Matthews 2015-07-14 14:59:33 UTC
Reviews:

- https://review.gerrithub.io/239838
- https://review.gerrithub.io/239837

Comment 5 Dougal Matthews 2015-07-14 15:12:08 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1243027 for the --extra-template change.

Comment 8 Udi 2015-07-21 12:14:16 UTC
Verified:
python-rdomanager-oscplugin-0.0.8-41.el7ost.noarch

Comment 10 errata-xmlrpc 2015-08-05 13:59:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.